Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.support.collections
Interface RedisList<E>

All Superinterfaces:
  BlockingDeque<E>, BlockingQueue<E>, BoundKeyOperations<String>, Collection<E>, Deque<E>, Iterable<E>, List<E>, Queue<E>, RedisCollection<E>, RedisStore

All Known Implementing Classes:
  DefaultRedisList

    public interface RedisList<E>

extends RedisCollection<E>, List<E>, BlockingDeque<E>

Redis extension for the `List` contract. Supports `List`, `Queue` and `Deque` contracts as well as their equivalent blocking siblings `BlockingDeque` and `BlockingDeque`.

Method Summary
`List<E>` | `range(long begin, long end)`
`RedisList<E>` | `trim(int begin, int end)`

Methods inherited from interface org.springframework.data.redis.support.collections.RedisStore
`getOperations`

Methods inherited from interface org.springframework.data.redis.core.BoundKeyOperations
`expire, expireAt, getExpire, getKey, getType, persist, rename`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Methods inherited from interface java.util.concurrent.BlockingDeque
`add, addFirst, addLast, contains, element, iterator, offer, offer, offerFirst, offerFirst, offerLast, offerLast, peek, poll, poll, pollFirst, pollLast, push, put, putFirst, putLast, remove, remove, removeFirstOccurrence, removeLastOccurrence, size, take, takeFirst, takeLast`

Methods inherited from interface java.util.concurrent.BlockingQueue
`drainTo, drainTo, remainingCapacity`

Methods inherited from interface java.util.Deque
`descendingIterator, getFirst, getLast, peekFirst, peekLast, pollFirst, pollLast, pop, removeFirst, removeLast`

Method Detail

### range

    List<E> range(long begin,
                  long end)

### trim

    RedisList<E> trim(int begin,
                      int end)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD